package com.uavps.system.udp.vo;

import java.util.List;

/**
 * @Author MBQ
 * @Date: 2025/1/15
 * @Description:
 * @Version: 1.0
 **/
public class UdpInitParameter {
    //业务ID，代表一个仿真任务的唯一标识
    private String bizId;

    //刷新频率，单位：赫兹
    private String refreshRate;

    //平台无人机
    private UnmannedAerialVehicle unmannedAerialVehicle;

    //多目标编队
    private List<TargetAircraft> multiTargetFormation;

    public String getBizId() {
        return bizId;
    }

    public void setBizId(String bizId) {
        this.bizId = bizId;
    }

    public String getRefreshRate() {
        return refreshRate;
    }

    public void setRefreshRate(String refreshRate) {
        this.refreshRate = refreshRate;
    }

    public UnmannedAerialVehicle getUnmannedAerialVehicle() {
        return unmannedAerialVehicle;
    }

    public void setUnmannedAerialVehicle(UnmannedAerialVehicle unmannedAerialVehicle) {
        this.unmannedAerialVehicle = unmannedAerialVehicle;
    }

    public List<TargetAircraft> getMultiTargetFormation() {
        return multiTargetFormation;
    }

    public void setMultiTargetFormation(List<TargetAircraft> multiTargetFormation) {
        this.multiTargetFormation = multiTargetFormation;
    }
}
